package com.yythird.sdk;

import android.app.Activity;
import android.content.Context;
import android.util.Log;

import com.yyrh.constant.RoleInfo;
import com.yythird.base.BaseSDK;
import com.yythird.base.ChannelSdkCallback;

import java.util.HashMap;

public class ChannelSDK extends BaseSDK {

    private ChannelSDK() {
        super();
    }

    private static ChannelSDK instance = null;

    public static ChannelSDK getInstance() {
        if (instance == null) {
            synchronized (ChannelSDK.class) {
                if (instance == null) {
                    instance = new ChannelSDK();
                }
            }
        }
        return instance;
    }


    @Override
    public String SDKGetOrderExt() {
        return super.SDKGetOrderExt();
    }


    @Override
    public String SDKGetPkgExt(Context context) {
        return super.SDKGetPkgExt(context);
    }

    @Override
    public void SDKInit(Activity activity, ChannelSdkCallback sdkCallback) {
        super.SDKInit(activity, sdkCallback);
    }


    @Override
    public void SDKGetOaid() {
        super.SDKGetOaid();
    }

    @Override
    public void onGetChannelRealNameInfo(Activity activity) {
        super.onGetChannelRealNameInfo(activity);
        Log.i("ChannelSDK", "onGetChannelRealNameInfo");
    }

    @Override
    public void SDKUploadInfo(String type, Activity activity, RoleInfo roleInfo) {
        super.SDKUploadInfo(type, activity, roleInfo);

    }

    @Override
    public void SDKLogin(Activity ac, ChannelSdkCallback sdkCallback) {
        super.SDKLogin(ac, sdkCallback);
        Log.i("ChannelSDK", "SDKLogin");
    }

    @Override
    public void SDKPay(Activity ac, HashMap<String, Object> map, ChannelSdkCallback sdkCallback) {
        super.SDKPay(ac, map, sdkCallback);
        Log.i("ChannelSDK", "SDKPay");
    }

    @Override
    public void onResume(Activity ac) {
        super.onResume(ac);
        Log.i("ChannelSDK", "onResume");
    }

    @Override
    public void onPause(Activity ac) {
        super.onPause(ac);
        Log.i("ChannelSDK", "onResume");
    }
}
